%define anolis_release 1

Name:           qpress
Version:        20230507
Release:        %{anolis_release}%{?dist}
Summary:        Portable high-speed file archiver
License: 	GPL-1.0-only and GPL-2.0-only and GPL-3.0-only
URL:            https://www.quicklz.com
Source0: 	https://github.com/PierreLvx/qpress/archive/refs/tags/%{version}.tar.gz

Patch0: 	https://github.com/PierreLvx/qpress/pull/8.patch

BuildRequires:  gcc-c++ make
Provides:       bundled(quicklz) = 1.4.1

%description
qpress is a portable file archiver using QuickLZ and designed to utilize fast
storage systems to their max. It is an open-source software that supports
several compression formats including ZIP, GZip, bzip2, and LZMA. It is known
for its high compression ratio and fast speed, making it an efficient tool for
file compression.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%set_build_flags
export CXXFLAGS="$CXXFLAGS -Wno-alloc-size-larger-than"
%make_build

%install
%make_install PREFIX="%{_prefix}"

%files
%license LICENSE.GPL-1.0 LICENSE.GPL-2.0 LICENSE.GPL-3.0
%{_bindir}/%{name}

%files doc
%doc readme.md

%changelog
* Tue Dec 26 2023 happy_orange <songnannan@linux.alibaba.com> - 20230507-1
- Switch to new upstream and update to 20230507

* Tue Apr 11 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 11-2
- optimize spec

* Thu Sep 15 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 11-1
- init from upstream
